/// <reference types="cypress" />
import { ReportOptions } from 'istanbul-reports';
import { Glob } from 'picomatch';
export declare type CoveragePluginOptions = {
    basedir: string;
    outdir: string;
    include: Glob;
    exclude: Glob;
    port: number;
    reports: (keyof ReportOptions)[];
    merge: boolean;
};
export declare function nativeCoveragePlugin(on: Cypress.PluginEvents, options?: Partial<CoveragePluginOptions>): void;
export default nativeCoveragePlugin;
